### Method

# Shell PerfLog define_event

#### Declaration [src]

    void
    shell_perf_log_define_event (
      ShellPerfLog* perf_log,
      const char* name,
      const char* description,
      const char* signature
    )

#### Description [src]

Defines a performance event for later recording.

#### Parameters

`name`

  Type: `const char*`

  Name of the event. This should of the form ‘., for example ‘clutter.stagePaintDone’.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`description`

  Type: `const char*`

  Human readable description of the event.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`signature`

  Type: `const char*`

  Signature defining the arguments that event takes. This is a string of type characters, using the same characters as D-Bus or GVariant. Only a very limited number of signatures are supported: , ”, ‘s’, ‘i’, and ‘x’. This mean respectively: no arguments, one string, one 32-bit integer, and one 64-bit integer.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.